apiVersion: manila.openstack.org/v1beta1
kind: Manila
metadata:
  creationTimestamp: "2025-09-11T07:50:30Z"
  finalizers:
  - openstack.org/manila
  generation: 1
  name: manila
  namespace: openstack
  ownerReferences:
  - apiVersion: core.openstack.org/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: OpenStackControlPlane
    name: openstack-galera-network-isolation
    uid: 069ba9ce-945c-4592-b084-5442b1ce195a
  resourceVersion: "256196775"
  uid: 215dcf4f-540c-44ea-8029-ad02c902d5d1
spec:
  apiTimeout: 60
  customServiceConfig: '# add your customization here'
  databaseAccount: manila
  databaseInstance: openstack
  dbPurge:
    age: 30
    schedule: 1 0 * * *
  debug:
    dbPurge: true
  manilaAPI:
    containerImage: registry.redhat.io/rhoso/openstack-manila-api-rhel9@sha256:1e3ce0043138bfcf928ca0f91e6f11467ecef7e7f6a6cbec386420ac59d26b01
    customServiceConfig: '# add your customization here'
    networkAttachments:
    - internalapi
    override:
      service:
        internal:
          metadata:
            annotations:
              metallb.universe.tf/address-pool: internalapi
              metallb.universe.tf/allow-shared-ip: internalapi
              metallb.universe.tf/loadBalancerIPs: 172.17.0.80
            labels:
              osctlplane: ""
              osctlplane-service: manila
          spec:
            type: LoadBalancer
        public:
          metadata:
            labels:
              osctlplane: ""
              osctlplane-service: manila
    replicas: 3
    resources: {}
    tls:
      api:
        internal: {}
        public: {}
      caBundleSecretName: combined-ca-bundle
  manilaScheduler:
    containerImage: registry.redhat.io/rhoso/openstack-manila-scheduler-rhel9@sha256:257047df6dfa405840695c2e2608e39ddbf5a182e7dcec206f8758035afd95b9
    customServiceConfig: '# add your customization here'
    replicas: 3
    resources: {}
  manilaShares:
    powerstore:
      containerImage: registry.redhat.io/rhoso/openstack-manila-share-rhel9@sha256:3f18d9890f885be78ec5d3413d4e524054bc5019f0293362da31fe9badf5976f
      customServiceConfig: |
        [DEFAULT]
        debug = true
        enabled_share_backends = powerstore1
        enabled_share_protocols = NFS
        driver_handles_share_servers = False
        [powerstore1]
        driver_handles_share_servers = False
        emc_share_backend = powerstore
        share_backend_name = powerstore1
        enabled_share_protocols = NFS
        share_driver = manila.share.drivers.dell_emc.driver.EMCShareDriver
        dell_nas_server = DND_ans_nas_server
        emc_ssl_cert_verify = False
      customServiceConfigSecrets:
      - manila-share-powerstore-secrets
      networkAttachments:
      - storage
      replicas: 1
      resources: {}
  memcachedInstance: memcached
  passwordSelectors:
    service: ManilaPassword
  preserveJobs: false
  rabbitMqClusterName: rabbitmq
  secret: osp-secret
  serviceUser: manila
status:
  conditions:
  - lastTransitionTime: "2025-09-25T02:06:45Z"
    message: 'DBsync job error occurred Internal error occurred: Job Attempt #1 Failed.
      Check job logs'
    reason: Error
    severity: Warning
    status: "False"
    type: Ready
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: CronJob not started
    reason: Init
    status: Unknown
    type: CronJobReady
  - lastTransitionTime: "2025-09-11T07:50:46Z"
    message: DB create completed
    reason: Ready
    status: "True"
    type: DBReady
  - lastTransitionTime: "2025-09-25T02:06:45Z"
    message: 'DBsync job error occurred Internal error occurred: Job Attempt #1 Failed.
      Check job logs'
    reason: Error
    severity: Warning
    status: "False"
    type: DBSyncReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: Input data complete
    reason: Ready
    status: "True"
    type: InputReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: ManilaAPI not started
    reason: Init
    status: Unknown
    type: ManilaAPIReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: ManilaScheduler not started
    reason: Init
    status: Unknown
    type: ManilaSchedulerReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: ManilaShare not started
    reason: Init
    status: Unknown
    type: ManilaShareReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: MariaDBAccount creation complete
    reason: Ready
    status: "True"
    type: MariaDBAccountReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: ' Memcached instance has been provisioned'
    reason: Ready
    status: "True"
    type: MemcachedReady
  - lastTransitionTime: "2025-09-11T07:50:46Z"
    message: NetworkAttachments completed
    reason: Ready
    status: "True"
    type: NetworkAttachmentsReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: RabbitMqTransportURL successfully created
    reason: Ready
    status: "True"
    type: RabbitMqTransportURLReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: RoleBinding created
    reason: Ready
    status: "True"
    type: RoleBindingReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: Role created
    reason: Ready
    status: "True"
    type: RoleReady
  - lastTransitionTime: "2025-09-11T07:50:30Z"
    message: ServiceAccount created
    reason: Ready
    status: "True"
    type: ServiceAccountReady
  - lastTransitionTime: "2025-09-11T07:50:46Z"
    message: Service config create completed
    reason: Ready
    status: "True"
    type: ServiceConfigReady
  databaseHostname: openstack.openstack.svc
  hash:
    input: nch544h65h54fh8h5bchcchd9h74hd9h69h548h568h557h5ch5f7h599hd8h5cdh669h657hf6h68h664h59dh5bbh98h5d5h75h588h5c7h685q
  observedGeneration: 1
  transportURLSecret: rabbitmq-transport-url-manila-manila-transport
